SolrQuery::getHighlightSnippets
SolrQuery::getMlt
SolrQuery
PHP Manual

# SolrQuery::getHighlightUsePhraseHighlighter

(PECL solr >= 0.9.2)

SolrQuery::getHighlightUsePhraseHighlighter — Returns the state of the hl.usePhraseHighlighter parameter

### Description

public bool SolrQuery::getHighlightUsePhraseHighlighter ( void )

Returns whether or not to use SpanScorer to highlight phrase terms only when they appear within the query phrase in the document.

### Parameters

This function has no parameters.

### Return Values

Returns a boolean on success and `NULL` if not set.

SolrQuery::getHighlightSnippets
SolrQuery::getMlt
SolrQuery
PHP Manual